Package org.apache.sis.io.wkt

## Enum KeywordCase

- Object
- - Enum<KeywordCase>
  - - KeywordCase

- All Implemented Interfaces:
    `Serializable`, `Comparable<KeywordCase>`

      public enum KeywordCase
      extends Enum<KeywordCase>

  Whether WKT keywords shall be written with lower, upper or camel case styles. The most common usage for WKT keywords is upper case. However with version 2 of Well Known Text, camel case keywords may be easier to read because WKT 2 has more keywords made by combination of words. Examples:

  WKT element case comparisons
  Upper case | Camel case
  --- | ---
  `TIMEEXTENT` | `TimeExtent`
  `ANGLEUNIT` | `AngleUnit`
  `BASEGEODCRS` | `BaseGeodCRS`
  `DERIVINGCONVERSION` | `DerivingConversion`
  `ENGINEERINGDATUM` | `EngineeringDatum`

  Note: Well-Known Text keywords are case insensitive at parsing time. `KEYWORD` is equivalent to `keyword` is equivalent to `KeyWord` and to `kEYwORd`.
  Since:
    0.4

  Defined in the `sis-referencing` module

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CAMEL_CASE` | WKT formatting uses CamelCase keywords.
    `DEFAULT` | Keywords case is determined by the WKT convention.
    `LOWER_CASE` | WKT formatting uses lower case keywords.
    `UPPER_CASE` | WKT formatting uses upper case keywords.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static KeywordCase` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static KeywordCase[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOWER_CASE

          public static final KeywordCase LOWER_CASE

      WKT formatting uses lower case keywords.

    - #### UPPER_CASE

          public static final KeywordCase UPPER_CASE

      WKT formatting uses upper case keywords. This is the most usual case in WKT 1 strings.

    - #### CAMEL_CASE

          public static final KeywordCase CAMEL_CASE

      WKT formatting uses CamelCase keywords. This is more useful in WKT 2 strings, which use longer keywords than WKT 1 did. Examples: `"TimeExtent"`, `"AngleUnit"`.

    - #### DEFAULT

          public static final KeywordCase DEFAULT

      Keywords case is determined by the WKT convention. The current mapping is:
      - Well Known Text version 2 uses camel case.
      - Well Known Text version 1 uses upper case.

  - ### Method Detail

    - #### values

          public static KeywordCase[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeywordCase c : KeywordCase.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeywordCase valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null